Commit 81772952 authored by Jan Gerber's avatar Jan Gerber

* depend on specific version of ffmpeg svn ins get_ffmpeg_svn and build.mac.sh

* depend on newer version of automake
* requite theora >= 1.0beta1
* up version to 0.20
 
parent 7dd2bd32
AUTOMAKE_OPTIONS = 1.6 dist-bzip2 no-dist-gzip
AUTOMAKE_OPTIONS = 1.8 dist-bzip2 no-dist-gzip
SUBDIRS = kino_export
......
......@@ -14,7 +14,7 @@ build_all_osx() {
export PKG_CONFIG_ALLOW_SYSTEM_LIBS=0
export PKG_CONFIG_LIBDIR=$dist_dir/lib/pkgconfig
ffmpeg_extra="--enable-pp --enable-gpl --enable-swscaler --disable-encoders --enable-libogg --enable-libvorbis"
ffmpeg_extra="--enable-pp --enable-gpl --enable-swscaler --disable-encoders --enable-libvorbis"
ffmpeg_extra="$ffmpeg_extra --enable-liba52"
test -e $dist_dir/lib/libfaad.a && ffmpeg_extra="$ffmpeg_extra --enable-faad" && echo "building with faad"
echo ""
......@@ -80,7 +80,7 @@ build_all_osx() {
echo "using existing $arch/$package"
else
echo "building $arch/$package"
test -e ffmpeg || svn co svn://svn.mplayerhq.hu/ffmpeg/trunk ffmpeg
test -e ffmpeg || svn co -r11076 svn://svn.mplayerhq.hu/ffmpeg/trunk ffmpeg
cd ffmpeg
unset CFLAGS
unset LDFLAGS
......
dnl Process this file with autoconf to produce a configure script.
AC_PREREQ(2.59)
AC_INIT(ffmpeg2theora,0.19)
AC_INIT(ffmpeg2theora,0.20)
AC_CONFIG_SRCDIR([Makefile.am])
AM_INIT_AUTOMAKE([dist-bzip2])
AC_PROG_CC
AM_PROG_CC_C_O
AM_PROG_LIBTOOL
AC_SYS_LARGEFILE
......@@ -24,7 +25,7 @@ AC_ARG_WITH(static-linking,
AC_MSG_RESULT(no)
)
PKG_CHECK_MODULES(XIPH,ogg >= 1.1 vorbis vorbisenc theora )
PKG_CHECK_MODULES(XIPH,ogg >= 1.1 vorbis vorbisenc theora >= 1.0beta1)
AC_SUBST(XIPH_CFLAGS)
AC_SUBST(XIPH_LIBS)
......
......@@ -3,7 +3,7 @@
#optional, if you have those libs installed:
#extra="--enable-libfaad --enable-libgsm --enable-amr_nb --enable-amr_nb-fixed --enable-amr_wb --enable-amr_if2"
common="--enable-gpl --enable-swscaler --enable-pp --enable-liba52 --disable-encoders"
common="--enable-gpl --enable-swscaler --enable-pp --enable-liba52 --disable-encoders --enable-libvorbis"
#linux
options="$common --enable-pthreads $extra"
......@@ -11,5 +11,5 @@ options="$common --enable-pthreads $extra"
#mingw32
uname | grep MINGW && options="$common --enable-memalign-hack --enable-mingw32 --extra-cflags=-I/usr/local/include --extra-ldflags=-L/usr/local/lib $extra"
svn checkout svn://svn.mplayerhq.hu/ffmpeg/trunk ffmpeg
svn co -r11076 svn://svn.mplayerhq.hu/ffmpeg/trunk ffmpeg
cd ffmpeg && ./configure $options && make
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment